- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# taiga_issue – Creates/deletes an issue in a Taiga Project Management Platform

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Status

## Synopsis

- Creates/deletes an issue in a Taiga Project Management Platform (https://taiga.io).

- An issue is identified by the combination of project, issue subject and issue type.

- This module implements the creation or deletion of issues (not the update).

## Requirements

The below requirements are needed on the host that executes this module.

- python-taiga

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
attachment - |  | Path to a file to be attached to the issue.
attachment_description - | Default: "" | A string describing the file to be attached to the issue.
description - | Default: "" | The issue description.
issue_type - / required |  | The issue type. Must exist previously.
priority - | Default: "Normal" | The issue priority. Must exist previously.
project - / required |  | Name of the project containing the issue. Must exist previously.
severity - | Default: "Normal" | The issue severity. Must exist previously.
state - | Choices: present ← absent | Whether the issue should be present or not.
status - | Default: "New" | The issue status. Must exist previously.
subject - / required |  | The issue subject.
tags - | Default: [] | A lists of tags to be assigned to the issue.
taiga_host - | Default: "https://api.taiga.io" | The hostname of the Taiga instance.

## Notes

Note

- The authentication is achieved either by the environment variable TAIGA_TOKEN or by the pair of environment variables TAIGA_USERNAME and TAIGA_PASSWORD

## Examples

    # Create an issue in the my hosted Taiga environment and attach an error log
    - taiga_issue:
        taiga_host: https://mytaigahost.example.com
        project: myproject
        subject: An error has been found
        issue_type: Bug
        priority: High
        status: New
        severity: Important
        description: An error has been found. Please check the attached error log for details.
        attachment: /path/to/error.log
        attachment_description: Error log file
        tags:
          - Error
          - Needs manual check
        state: present

    # Deletes the previously created issue
    - taiga_issue:
        taiga_host: https://mytaigahost.example.com
        project: myproject
        subject: An error has been found
        issue_type: Bug
        state: absent

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Alejandro Guirao (@lekum)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.